;Example6.csd
;scoreless swing
;using arrays and schedule

<CsoundSynthesizer>
<CsOptions> 
csound -s -d -+rtaudio=ALSA -odevaudio -b1024 -B16384  
</CsOptions>
<CsInstruments>

sr	=	44100
kr	=	4410
ksmps	=	10
nchnls	=	2
0dbfs = 1

gipch[] fillarray 8.05, 9.02, 8.10, 9.00, 8.08, 8.07, 8.08, 8.10, 8.11, 9.02, 9.01, 9.00, 8.10, 8.09, 8.07, 8.09, 8.10, 9.00, 9.01
gidurs[] fillarray 0.35, 0.65, 0.35, 0.65, 0.35, 0.65, 0.35, 0.65, 2.35, 0.65, 0.35, 0.65, 0.35, 0.65, 1.0, 0.35, 0.65, 2.0, 2.0 
giamp[] fillarray 0.35, 0.65, 0.35, 0.65, 0.35, 0.65, 0.35, 0.65, 1.0, 0.65, 0.35, 0.65, 0.35, 0.65, 1.0, 0.35, 0.65, 1.0, 1.0 

i1 lenarray gipch
iscale init 0.425 ;tempo scale
icnt init 0
istart init 0
idur init 0
ipch init 0
iamp init 0

until icnt > 18 do
 ;istart = gistart[icnt%i1]
 idur = gidurs[icnt%i1]
 ipch = gipch[icnt%i1]
 iamp = giamp[icnt%i1]
 schedule 1,istart * iscale,idur * iscale, iamp, ipch
istart = istart + idur
icnt += 1 
od
 
instr 1		
 asig	oscili	p4, cpspch(p5)	
 outs	asig, asig
endin

</CsInstruments>
</CsoundSynthesizer>



